:root {
    --color-primary-50: #00B5CC;
    --color-primary-40: #A1DDE5;
    --color-primary-30: #DAEFF2;
    --color-primary-10: #EDF8FA;

    --color-secondary-60: #FFA726;
    --color-secondary-50: #FEC325;
    --color-secondary-40: #FED87F;
    --color-secondary-30: #FFF0CC;
    --color-secondary-10: #FFFBF2;

    --color-background-100: #17191A;
    --color-background-60: #5C6566;
    --color-background-20: #D5E4E5;
    --color-background-10: #F5F9FA;
    --color-background-0: #FFFFFF;

    --color-link: #007B8C;

    --color-warning: #D84200;

    --font-family-fpg: "Merriweather", serif;

}

body {
    font-family: "Merriweather Sans", sans-serif;
    background-color: var(--color-background-10);
    color: #17191A;
    font-weight: lighter;
    font-size: 1.025rem;
}


h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Merriweather", Georgia, serif;
}

h1 {
    /*font-size: 1.6875rem;*/
    font-size: 1.625rem;
}

h2 {
    font-size: 1.375rem;
}

h3 {
    font-size: 1.125rem;
}

h5 {
    font-style: normal;
}

p {
    font-family: "Merriweather Sans", sans-serif;
    font-size: 1.025rem;
}

li {
    font-size: 1.1rem;
}

.collapsed > .close-icon {
    display: none;
}

.collapsing {
    transition: none !important;
}

:not(.collapsed) > .hamburger-icon {
    display: none;
}

.hr-color {
    color: var(--color-primary-30);
    background-color: var(--color-primary-30);
}


.footer {
    background-color: #161718;
    color: #ffffff;
    padding: 60px 0;
}

.footer a {
    color: #ffffff;
    text-decoration: none;
    font-weight: 300;
    font-size: 16px;
}

.footer a:hover {
    color: #ffffff;
    text-decoration: underline;
}

.footer h5 {

    font-style: normal;
    font-weight: 300;
    margin-bottom: 20px;
    color: #ffffff;
}

.footer-svg {
    transition: transform 0.1s ease-in-out; /* Smooth transition */
}

.footer-svg:hover {
    transform: scale(1.05); /* Scale up and rotate on hover */
}


.footer-bottom {
    background-color: #fff;
    color: #555;
    text-align: center;
    padding: 40px 15px;
    font-size: 14px;
}

.footer-bottom a {
    color: #2b9abf;
    text-decoration: none;
    margin: 0 5px;
}

.footer-bottom a:hover {
    text-decoration: underline;
}

.social-icons a {
    color: #2b9abf;
    font-size: 24px;
    margin: 0 10px;
    display: inline-block;
}

.footer-a {
    font-size: 12px;
    font-weight: 100;
}

.language-selector {
    margin-bottom: 20px;
}

.divider {
    border-top: 1px solid var(--color-primary-30);
    margin: 20px auto;
}

.banner-class {

    background-color: var(--color-primary-30);

}

.text-img-flex {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
}


.text-truncate {
    /*line-height: normal;*/
}

.card-body {
    padding: 1rem;
}


.page-link,
.page-link:hover,
.page-link:focus {
    color: var(--color-link);
}

a {
    color: var(--color-link);
}

a:hover {
    color: var(--color-link);
    text-decoration: underline;
    text-decoration-thickness: 0.1rem;
}


.btn-outline-primary {
    border-radius: 8px;
    color: var(--color-link);
    border: 2px solid var(--color-link);
    padding-right: .5rem;
    padding-left: .5rem;
}

.btn-outline-primary:hover {
    border-radius: 8px;
    background-color: var(--color-primary-10);
    border: 2px solid var(--color-link);
    color: var(--color-link);
    text-decoration: underline;
    text-decoration-thickness: 0.1rem;
}

.btn-outline-primary:not(:disabled):not(.disabled).active, .btn-outline-primary:not(:disabled):not(.disabled):active, .show > .btn-outline-primary.dropdown-toggle {
    border-radius: 8px;
    background-color: var(--color-primary-10);
    border-color: var(--color-link);
    color: var(--color-link);
    text-decoration: underline;
    text-decoration-thickness: 0.1rem;
}


.btn-outline-primary:not(:disabled):not(.disabled).active:focus, .btn-outline-primary:not(:disabled):not(.disabled):active:focus, .show > .btn-outline-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0;
}


.btn-secondary {
    font-size: 18px;
    border-radius: 8px;
    background-color: var(--color-secondary-50);
    border: 2px solid var(--color-secondary-50);
    color: var(--color-background-100);
    padding-right: .5rem;
    padding-left: .5rem;
}

.btn:focus {
    box-shadow: none;
}

.btn:active {
    box-shadow: none;
}

.filter-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px;

}

.switch-custom {
    display: inline-flex;
    border: 2px solid var(--color-link); /* Border color */
    border-radius: 30px;
    overflow: hidden;
    font-family: "Merriweather Sans", sans-serif;
    font-size: 14px;
}

.switch-custom input {
    display: none;
}

.switch-custom label {
    padding: 1px 15px;
    margin: 3px;
    border-radius: 30px;
    cursor: pointer;
    transition: background 0.3s, color 0.3s;
    color: #000;
}

.switch-custom input:checked + label {
    margin: 3px;
    border-radius: 30px;
    background: var(--color-secondary-50);
}

.btn-outline-primary:focus {
    outline: none !important;
}

.btn-secondary:active,
.btn-secondary:focus-visible, .btn-secondary:focus-within {
    border-radius: 8px;
    background-color: var(--color-secondary-40) !important;
    border: 2px solid var(--color-secondary-40);
    color: var(--color-background-100);
    text-decoration: underline;
    text-decoration-thickness: 0.1rem;
    outline: none;
    box-shadow: none;
}

.btn-secondary:not(:disabled):not(.disabled).active, .btn-secondary:not(:disabled):not(.disabled):active, .show > .btn-secondary.dropdown-toggle {

    border-radius: 8px;
    background-color: var(--color-secondary-40);
    border: 2px solid var(--color-secondary-40);
    color: var(--color-background-100);
    text-decoration: underline;
    text-decoration-thickness: 0.1rem;
    outline: none;
    box-shadow: none;
}

.btn-secondary:not(:disabled):not(.disabled).active:focus, .btn-secondary:not(:disabled):not(.disabled):active:focus, .show > .btn-secondary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0;
}


.btn-secondary:hover {
    background-color: var(--color-secondary-40);
    border: 2px solid var(--color-secondary-40);
    color: var(--color-background-100);
    text-decoration: underline;
    text-decoration-thickness: 0.1rem;
    outline: none;
    box-shadow: none;
}

.description-text {
    font-size: 20px;
    color: var(--color-background-60);
}

.header-main-page {
    font-size: 2rem;
}

.common-header {
    font-size: 28px;
}

.filter-frame {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}

.filter-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}

.small-360-img {
    width: 40px;
    height: 40px;
    position: absolute;

    top: -1px;
}


#rs-navbar {
    transition: all 0.5s ease;
}

.project-media-list-item {


}

.project-small-img {

    height: 100%;
    object-fit: scale-down;
}

.readMore {
    color: var(--color-link);
    cursor: pointer;
}

.readMore:hover {
    text-decoration: underline;
    text-decoration-thickness: 0.1rem;
}

#left-arrow-id {
    position: absolute;
    width: 48px;
    height: 48px;
    top: 50%;

}

#right-arrow-id {
    position: absolute;
    width: 48px;
    height: 48px;
    right: 0;
    top: 50%;
}


.project-description {

    margin: auto;
    color: var(--color-background-60);
}

.project-frame {
    display: flex;
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;
}

.project-frame-2 {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}

.project-frame div {
    display: inline-flex;
}

.project-frame a {
    color: var(--color-link);
}

.project-cta-card {

    background-color: var(--color-background-0);
    margin: auto;

}

.container {
    max-width: 1200px;
}

.navbar-collapse {
    height: 100%;
}

#moreText ul {
    list-style-image: url("../png/li-icon.png");
}

hr {
    margin: 0 0 1rem 0;
}

.bi {
    vertical-align: 0.01em;
}

.navbar-light .navbar-toggler-icon {
    border: 0;
    color: blue;
    /*background-image: url("");*/
}

.bread-crumbs-frame {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-top: 5px;
    max-width: 100%;
    font-size: 14px;
    overflow-x: auto;
    scroll-behavior: smooth;
    scrollbar-width: thin;
    white-space: nowrap;
    height: 50px;
}

.bread-crumbs-frame a {
    display: inline-flex;
    color: var(--color-link);
}

.bread-crumbs-frame span {
    display: inline-flex;
}


.media-card {
    height: 100px;
    /*width: 150px;*/

}

.btn-lg {
    font-size: 1rem;
}

.detail-card {
    border-radius: 0;
    border: 0;
    margin: 0;
}

.detail-border {
    border: 1px solid var(--color-primary-40);
    border-radius: 8px;
}

.detail-card-frame {

    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 4px;
    flex-wrap: wrap;
    flex: none;
    order: 0;
    flex-grow: 0;
    height: 40px;
}

.detail-card-frame div {
    min-width: 0;
    flex: none;
    padding: 0 10px 0 0;
    flex-grow: 0;
    font-size: 0.8rem;
}

.fpg-pagination-class {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0;
    gap: 24px;
    margin: auto;
}

.fpg-pagination-class div {
    cursor: pointer;
    margin: auto;

}

.fpg-pagination-item {
    color: var(--color-link);

}

.layered {
    /* box-shadow: 0 1px 1px hsl(0deg 0% 0% / 0.075),
     0 2px 2px hsl(0deg 0% 0% / 0.075),
     0 3px 3px hsl(0deg 0% 0% / 0.075);*/
}


.fpg-pagination-class div:hover {
    cursor: pointer;
    margin: auto;
    color: var(--color-link);
    text-decoration: underline;
}

.no-click {
    pointer-events: none;
}


.fancybox-show-nav .fancybox-arrow {
    opacity: 1;
}


.small-card {
    border: 0;
    border-radius: 8px;
}

.small-card-frame {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.small-card-img {
    border-radius: 240px;
    width: 64px;
    height: 64px;
    object-fit: cover;
}

.card-img-larg {
    object-fit: scale-down;
}


.small-card-link {
    color: var(--color-background-100);
    border-radius: 5px;
}

.current-pagination {
    color: var(--color-background-100);
    text-decoration: underline;
    cursor: default !important;
}

.current-pagination:hover {
    color: var(--color-background-100) !important;
}

.small-card-icon {
    width: 24px;
    height: 24px;
    background-color: var(--color-background-20);
    border-radius: 24px;
    line-height: normal;
}

.edit-icon {
    fill: var(--color-link);
    padding-top: 6px;

}

.small-card-header {
    margin-bottom: 0;
    margin-top: 0;
    padding-left: 10px;
}

.menu-span {
    color: #007B8C;
    margin-left: 5px;
    font-size: 15px;
    font-weight: 300;
}

.menu-span:hover {
    text-decoration: underline;
    text-decoration-thickness: 0.05rem;
}

.navbar-nav > li > a {
    padding: 0;
    margin: 0;
    vertical-align: bottom;
}


.small-card-link:hover {
    color: var(--color-link);
    text-decoration: underline;
    text-decoration-thickness: 0.1rem;
}

.navbar-light .navbar-toggler > .navbar-toggler-icon {
    width: 82px;
    height: 50px;
    background-image: url('../png/menu.png');
}

.navbar-light .navbar-toggler .collapsed > .navbar-toggler-icon {
    width: 82px;
    height: 50px;
}

.navbar-light .navbar-nav .nav-link {
    color: var(--color-background-100);

}


.nav-logo {
    width: 125px;
    height: 45px;
}


.nav-item {
    line-height: 0.8;
    font-size: 1rem;
    font-weight: 350;
}

.nav-item-margin {
    gap: 2vw;
    margin-right: 1.5rem;
}

.top-nav-item {
    /*font-size: 0.95rem;*/
    font-size: 14px;
    padding: 0;
    margin: 0;
    font-weight: normal;
    color: var(--color-background-100);
}

.top-nav-item-right-border {
    border-right: 1px solid var(--color-background-100);
}

.navbar-light .navbar-nav .nav-link:hover {
    color: var(--color-link);
    text-decoration: underline;
    text-decoration-thickness: 0.05rem;
}

.navbar-light {
    background-color: #ffffff;
    border-bottom: 1px solid #D5E4E5;
}

.navbar-light .navbar-toggler {
    border: 0;

}

.dropdown-menu.show {
    border: 0;
}

.rs-ul {
    list-style-image: url("../png/li-icon.png");
}

.rs-ul li {
    font-size: 18px;
}


.nav-link-de {
}

@media (max-width: 1200px) {
    .nav-item-margin {
        margin-right: 0.8rem;
    }


    .nav-link-de {
        padding-left: 0.1rem;
        padding-right: 0.1rem;
    }
}

@media (max-width: 1100px) {
    .nav-item-margin {
        margin-right: 0.3rem;
    }

    .nav-link {
        padding-right: 0.1rem;
        padding-left: 0.1rem;
    }

    .nav-link-de {
        padding-left: 0.1rem;
        padding-right: 0.1rem;
    }

}

@media (max-width: 1050px) {

    .nav-item-margin {
        margin-right: 0.01rem;
    }

    /*.btn-hide {
        display: none;
    }

     */

}


@media (max-width: 992px) {

    .navbar-collapse {
        background-color: var(--color-background-10);
        padding: 10px;
    }

    .nav-item {
        margin-top: 1rem;
        margin-bottom: 1rem;
    }

    .nav-logo {
        width: 110px;
        height: 40px;
    }


    .container {
        max-width: /*1320px*/ 1200px;
    }


    .header-main-page {
        font-size: 2.4rem;
    }

    .description-text {
        font-size: 18px;
        color: var(--color-background-60);
    }

    .cta-footer-banner {
        flex-direction: column;
    }

    .text-img-flex {
        flex-direction: column;
    }

    #img-check {
        display: none;
    }


    #left-arrow-id {
        position: absolute;
        width: 36px;
        height: 36px;
        top: 45%;

    }

    #right-arrow-id {
        position: absolute;
        width: 36px;
        height: 36px;
        right: 0;
        top: 45%;
    }

    .project-small-img {
        height: 150px;
    }

    .fancybox-slide--iframe .fancybox-content {
        padding: 0;
        width: 100%;
        height: 85%;
        max-width: calc(100%);
        max-height: calc(100% - 88px);
        overflow: visible;
        background: #fff;
    }

    .media-card {
        height: 150px;
    }

    #project-360-img {
        display: none;
    }
}

@media (max-width: 768px) {
    .filter-btn {
        width: 50%;
    }

    .btn-hide {
        display: none;
    }

    .filter-frame {
        flex-direction: column;
        align-items: flex-start;
    }

    .filter-row {
        flex-direction: column;
        align-items: flex-start;
    }
}

@media (max-width: 576px) {

    .nav-logo {
        width: 69px;
        height: 25px;
    }

    .header-main-page {
        font-size: 2rem;
    }

    .filter-btn {
        width: 100%;
    }

    .filter-row {
        flex-direction: column;
        align-items: flex-start;
    }

    .media-card {
        height: 50px;
    }

    .project-small-img {
        height: 100px;
    }


    .fancybox-slide--iframe .fancybox-content {
        height: 70%;

    }
}